Bug 444447 - hcid: unable to get on d-bus
hcid: unable to get on d-bus
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: bluez-utils (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: David Woodhouse
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-28 10:10 EDT by sean
Modified: 2008-10-18 15:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-18 15:48:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sean 2008-04-28 10:10:57 EDT
Description of problem:
On boot:
 hcid[1907]: Bluetooth HCI daemon
............................
 kernel: Bluetooth: HCI device and connection manager initialized 
 kernel: Bluetooth: HCI socket layer initialized
 hcid[1907]: Can't connect to system message bus: Failed to connect to socket
/var/run/
dbus/system_bus_socket: No such file or directory
 hcid[1907]: Unable to get on D-Bus
 kernel: Bluetooth: L2CAP ver 2.9


Version-Release number of selected component (if applicable):
bluez-utils-3.30-2.fc9.i386

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
service bluetooth status
hcid dead but subsys locked

Expected results:


Additional info:
related to 430549.
but if messagebus is running:

service messagebus status
dbus-daemon (pid 1937) is running...

and I restart bluetooth:

service bluetooth restart
Stopping Bluetooth services:                               [FAILED]
Starting Bluetooth services:                               [  OK  ]

all's well:

service bluetooth status
hcid (pid 12962) is running...

Is initscripts starting bt too early?
Comment 1 Bug Zapper 2008-05-14 06:18:23 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bastien Nocera 2008-10-14 15:27:39 EDT
Please test with the 3.36 bluez updates.
Comment 3 sean 2008-10-18 14:16:08 EDT
I've gone on to another machine w/out bluetooth.

Note You need to log in before you can comment on or make changes to this bug.